Skip to main content
GET
List floating IPs

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

Query Parameters

limit
integer
default:1000

Optional. Limit the number of returned items

Required range: x <= 1000
Example:

1000

offset
integer
default:0

Optional. Offset value is used to exclude the first set of records from the result

Required range: x >= 0
Example:

0

port_ids
string<uuid4>[]

Optional. Filter by the port ID the floating IP is attached to. Repeat the parameter to filter by multiple ports (?port_ids=id1&port_ids=id2).

Example:
status
enum<string>

Filter by floating IP status. DOWN - unassigned (available). ACTIVE - attached to a port (in use). ERROR - error state.

Available options:
ACTIVE,
DOWN,
ERROR
Example:

"DOWN"

tag_key
string[]

Optional. Filter by tag keys. ?tag_key=key1&tag_key=key2

Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character. Trailing or leading whitespaces will be stripped.

Required string length: 1 - 255
Pattern: ^[^\s=]+$
Example:
tag_key_value
string

Optional. Filter by tag key-value pairs.

Example:

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
FloatingIPDetailedSerializer · object[]
required

Objects